Update Address
PATCH
API for adding and removing the monitored addresses of an ADDRESS_ACTIVITY event type Webhook via an
add/remove batch.The add + remove total per request cannot exceed 1,000, and a subscription cannot have more than 100,000 addresses in total. Addresses included in both add and remove cancel out and are excluded from both.Path Parameters
chainstringrequired
Parameter specifying the target chain to query.networkstringrequired
Parameter specifying the network of the target chain.subscriptionIdstringrequired
Parameter that specifies the subscriptionId assigned to the ADDRESS_ACTIVITY Webhook.Request Body
addarray
List of addresses to add.removearray
List of addresses to remove.Responses
addedintegerrequired
Number of addresses actually added.skippedintegerrequired
Number of add items that were not added because they already existed.removedintegerrequired
Number of addresses actually removed.notFoundintegerrequired
Number of remove items that were not removed. Also includes addresses that did not exist or were canceled out by being included in both add and remove.totalCountintegerrequired
Total number of addresses in the subscription after applying the changes.codestringrequired
Code identifying the cause of the failed request.messagestringrequired
Detailed message including the name and value of the invalid parameter.{"code": "MISSING_REQUIRED_PARAMETER","message": "Missing required parameter: { PARAMETER_NAME }"}
cURL
curl -X PATCH 'https://web3.nodit.io/v1/arbitrum/mainnet/webhooks/1234567890/addresses' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo' \-d '{"add": ["0xabc0000000000000000000000000000000000001","0xabc0000000000000000000000000000000000002"],"remove": ["0xdef0000000000000000000000000000000000009"]}'